## AgsCoreAudioServer

AgsCoreAudioServer — core audio instance

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_CORE_AUDIO_SERVER_GET_OBJ_MUTEX()
GList * | ags_core_audio_server_find_url ()
GObject * | ags_core_audio_server_find_client ()
GObject * | ags_core_audio_server_find_port ()
void | ags_core_audio_server_add_client ()
void | ags_core_audio_server_remove_client ()
void | ags_core_audio_server_connect_client ()
void | ags_core_audio_server_start_poll ()
AgsCoreAudioServer * | ags_core_audio_server_new ()

## Properties

gpointer | core-audio-client | Read / Write
AgsCoreAudioClient * | default-core-audio-client | Read / Write
GObject * | default-soundcard | Read / Write
char * | url | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsCoreAudioServer

## Includes

    #include <ags/audio/core-audio/ags_core_audio_server.h>

## Description

The AgsCoreAudioServer is an object to represent a running core audio instance.

## Functions

### AGS_CORE_AUDIO_SERVER_GET_OBJ_MUTEX()

    #define AGS_CORE_AUDIO_SERVER_GET_OBJ_MUTEX(obj) (&(((AgsCoreAudioServer *) obj)->obj_mutex))

### ags_core_audio_server_find_url ()

    GList *
    ags_core_audio_server_find_url (GList *core_audio_server,
                                    gchar *url);

Find AgsCoreAudioServer by url.

#### Parameters

core_audio_server | the GList containing AgsCoreAudioServer. | [element-type AgsAudio.CoreAudioServer][transfer none]
url | the url to find |

#### Returns

the next matching GList containing a AgsCoreAudioServer matching `url` or `NULL`.

[element-type AgsAudio.CoreAudioServer][transfer none]

Since: 3.0.0

### ags_core_audio_server_find_client ()

    GObject *
    ags_core_audio_server_find_client (AgsCoreAudioServer *core_audio_server,
                                       gchar *client_uuid);

Find AgsCoreAudioClient by uuid.

#### Parameters

core_audio_server | the AgsCoreAudioServer |
client_uuid | the uuid to find |

#### Returns

the AgsCoreAudioClient found or `NULL`.

[transfer none]

Since: 3.0.0

### ags_core_audio_server_find_port ()

    GObject *
    ags_core_audio_server_find_port (AgsCoreAudioServer *core_audio_server,
                                     gchar *port_uuid);

Find AgsCoreAudioPort by uuid.

#### Parameters

core_audio_server | the AgsCoreAudioServer |
port_uuid | the uuid to find |

#### Returns

the AgsCoreAudioPort found or `NULL`.

[transfer none]

Since: 3.0.0

### ags_core_audio_server_add_client ()

    void
    ags_core_audio_server_add_client (AgsCoreAudioServer *core_audio_server,
                                      GObject *core_audio_client);

Add `core_audio_client` to `core_audio_server`

#### Parameters

core_audio_server | the AgsCoreAudioServer |
core_audio_client | the AgsCoreAudioClient to add |

Since: 3.0.0

### ags_core_audio_server_remove_client ()

    void
    ags_core_audio_server_remove_client (AgsCoreAudioServer *core_audio_server,
                                         GObject *core_audio_client);

Remove `core_audio_client` to `core_audio_server`

#### Parameters

core_audio_server | the AgsCoreAudioServer |
core_audio_client | the AgsCoreAudioClient to remove |

Since: 3.0.0

### ags_core_audio_server_connect_client ()

    void
    ags_core_audio_server_connect_client (AgsCoreAudioServer *core_audio_server);

Connect all clients.

#### Parameters

core_audio_server | the AgsCoreAudioServer |

Since: 3.0.0

### ags_core_audio_server_start_poll ()

    void
    ags_core_audio_server_start_poll (AgsCoreAudioServer *core_audio_server);

### ags_core_audio_server_new ()

    AgsCoreAudioServer *
    ags_core_audio_server_new (gchar *url);

Create a new instance of AgsCoreAudioServer.

#### Parameters

url | the URL as string |

#### Returns

the new AgsCoreAudioServer

Since: 3.0.0

## Property Details

### The `“core-audio-client”` property

      “core-audio-client”        gpointer

The core audio client list.

[transfer full]

Owner: AgsCoreAudioServer

Flags: Read / Write

Since: 3.0.0

### The `“default-core-audio-client”` property

      “default-core-audio-client” AgsCoreAudioClient *

The default core audio client.

Owner: AgsCoreAudioServer

Flags: Read / Write

Since: 3.0.0

### The `“default-soundcard”` property

      “default-soundcard”        GObject *

The default soundcard.

Owner: AgsCoreAudioServer

Flags: Read / Write

Since: 3.0.0

### The `“url”` property

      “url”                      char *

The assigned URL.

Owner: AgsCoreAudioServer

Flags: Read / Write

Default value: NULL

Since: 3.0.0